Permalink
Browse files

Add bundler and update gems to work with Ruby 1.9.3

  • Loading branch information...
1 parent 8b76cb8 commit 322f485b2ee3ca97631ec2131f159755d1aa39bb @pauldowman committed May 1, 2012
Showing with 17 additions and 20 deletions.
  1. +14 −20 Gemfile.lock
  2. +3 −0 gmoney.rb
View
34 Gemfile.lock
@@ -1,31 +1,25 @@
GEM
remote: http://rubygems.org/
specs:
- diff-lcs (1.1.2)
- hoe (2.6.2)
- rake (>= 0.8.7)
- rubyforge (>= 2.0.4)
- hpricot (0.8.2)
- json_pure (1.4.6)
+ diff-lcs (1.1.3)
+ hoe (3.0.3)
+ rake (~> 0.8)
+ hpricot (0.8.6)
mechanize (1.0.0)
nokogiri (>= 1.2.1)
- nokogiri (1.4.3.1)
+ nokogiri (1.5.2)
ofx-parser (1.0.2)
hoe (>= 1.5.1)
hpricot (>= 0.6)
- rake (0.8.7)
- rspec (2.0.0)
- rspec-core (= 2.0.0)
- rspec-expectations (= 2.0.0)
- rspec-mocks (= 2.0.0)
- rspec-core (2.0.0)
- rspec-expectations (2.0.0)
- diff-lcs (>= 1.1.2)
- rspec-mocks (2.0.0)
- rspec-core (= 2.0.0)
- rspec-expectations (= 2.0.0)
- rubyforge (2.0.4)
- json_pure (>= 1.1.7)
+ rake (0.9.2.2)
+ rspec (2.9.0)
+ rspec-core (~> 2.9.0)
+ rspec-expectations (~> 2.9.0)
+ rspec-mocks (~> 2.9.0)
+ rspec-core (2.9.0)
+ rspec-expectations (2.9.1)
+ diff-lcs (~> 1.1.3)
+ rspec-mocks (2.9.0)
PLATFORMS
ruby
View
3 gmoney.rb
@@ -1,5 +1,8 @@
#!/usr/bin/env ruby
+require "rubygems"
+require "bundler/setup"
+
require "#{File.dirname(__FILE__)}/lib/account_base"
require "#{File.dirname(__FILE__)}/lib/bank_account"
require "#{File.dirname(__FILE__)}/lib/credit_card_account"

0 comments on commit 322f485

Please sign in to comment.